Package org.springframework.beans

# Class AbstractNestablePropertyAccessor.PropertyHandler

java.lang.Object
org.springframework.beans.AbstractNestablePropertyAccessor.PropertyHandler

Enclosing class:
  AbstractNestablePropertyAccessor

protected abstract static class AbstractNestablePropertyAccessor.PropertyHandler extends Object
A handler for a specific property.

## Constructor Summary

Constructors
Constructor
Description
`PropertyHandler(Class<?> propertyType, boolean readable, boolean writable)`

## Method Summary

Modifier and Type
Method
Description
`org.springframework.core.convert.TypeDescriptor`
`getCollectionType(int nestingLevel)`
`org.springframework.core.convert.TypeDescriptor`
`getMapKeyType(int nestingLevel)`
`org.springframework.core.convert.TypeDescriptor`
`getMapValueType(int nestingLevel)`
`Class<?>`
`getPropertyType()`
`abstract org.springframework.core.ResolvableType`
`getResolvableType()`
`abstract Object`
`getValue()`
`boolean`
`isReadable()`
`boolean`
`isWritable()`
`abstract org.springframework.core.convert.TypeDescriptor`
`nested(int level)`
`abstract void`
`setValue(Object value)`
`boolean`
`setValueFallbackIfPossible(Object value)`
`abstract org.springframework.core.convert.TypeDescriptor`
`toTypeDescriptor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PropertyHandler

public PropertyHandler(@Nullable Class<?> propertyType, boolean readable, boolean writable)

## Method Details

### getPropertyType

@Nullable public Class<?> getPropertyType()

### isReadable

public boolean isReadable()

### isWritable

public boolean isWritable()

### toTypeDescriptor

public abstract org.springframework.core.convert.TypeDescriptor toTypeDescriptor()

### getResolvableType

public abstract org.springframework.core.ResolvableType getResolvableType()

### getMapKeyType

public org.springframework.core.convert.TypeDescriptor getMapKeyType(int nestingLevel)

### getMapValueType

public org.springframework.core.convert.TypeDescriptor getMapValueType(int nestingLevel)

### getCollectionType

public org.springframework.core.convert.TypeDescriptor getCollectionType(int nestingLevel)

### nested

@Nullable public abstract org.springframework.core.convert.TypeDescriptor nested(int level)

### getValue

@Nullable public abstract Object getValue() throws Exception

Throws:
  `Exception`

### setValue

public abstract void setValue(@Nullable Object value) throws Exception

Throws:
  `Exception`

### setValueFallbackIfPossible

public boolean setValueFallbackIfPossible(@Nullable Object value)